| Qore logger_bin Module 2.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Qore::Logger::LoggerFilter Class Reference

Abstract class that defines the interface for logger filters. More...

`#include <QC_LoggerFilter.dox.h>`

## Public Member Functions
| constructor ()
| Creates the object.
int | eval (LoggerEvent event)
| Performs filtering logic on an event and returns the decision for the event.

## Detailed Description

Abstract class that defines the interface for logger filters.

Event data (LoggerEvent) are formatted before the record is passed to the target

## Member Function Documentation

## ◆ eval()

int Qore::Logger::LoggerFilter::eval | ( | LoggerEvent | event | ) |

Performs filtering logic on an event and returns the decision for the event.

The method should be overridden to implement a real rule. The default result is NEUTRAL

Parameters

  event | the log event

Returns
  the result of evaluating the event (the default for this method is NEUTRAL)

The documentation for this class was generated from the following file:

- modules/logger_bin/src/QC_LoggerFilter.dox.h